#
# spec file for package 
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           garglk
Version:        2011.1
%define soname  0
Release:        2.1
License:        GPL
Summary:        Cross-platform IO layer for an interactive fiction player
Url:            http://code.google.com/p/garglk/
Group:          Amusements/Games/Other
# http://garglk.googlecode.com/files/gargoyle-%{version}-sources.zip
Source:         https://github.com/garglk/garglk/archive/stable-%{version}.tar.gz
Source1:        gargoyle.1
Patch1:         garglk.babel-include.diff
Patch2:         garglk.patch
Patch3:         garglk.smpeg.patch
BuildRequires:  boost-jam
BuildRequires:  zlib-devel
BuildRequires:  gtk2-devel
%if 0%{?suse_version} >= 1140
BuildRequires:  libjpeg62-devel
%else
BuildRequires:  libjpeg-devel
%endif
BuildRequires:  gcc-c++
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_sound-devel
BuildRequires:  libvorbis-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gargoyle is an IF player that supports all the major interactive fiction formats.
Most interactive fiction is distributed as portable game files.
These portable game files come in many formats.In the past,
you used to have to download a separate player (interpreter) for each format of IF you wanted to play.
Gargoyle is based on the standard interpreters for the formats it supports.
Gargoyle is free software released under the terms of the GNU General Public License. 

%prep
%setup -q -n "%{name}-stable-%{version}"
%patch1 -p1
%patch2 -p1
%patch3 -p1
ls -lA

%build
BUILD=DEBUG \
CFLAGS="%{optflags} -std=gnu++98" \
CCFLAGS="%{optflags} -std=gnu++98" \
CXXFLAGS="%{optflags} -std=gnu++98" \
OPTFLAGS="%{optflags} -std=gnu++98" \
_BINDIR="%{_bindir}" \
_LIBDIR="%{_libdir}" \
_APPDIR="%{_libdir}/%{name}" \
jam -d3

%install
BUILD=DEBUG \
CFLAGS="%{optflags} -std=gnu++98" \
CCFLAGS="%{optflags} -std=gnu++98" \
CXXFLAGS="%{optflags} -std=gnu++98" \
OPTFLAGS="%{optflags} -std=gnu++98" \
_BINDIR="%{_bindir}" \
_LIBDIR="%{_libdir}" \
_APPDIR="%{_libdir}/%{name}" \
DESTDIR="%{buildroot}" \
jam -d3 install

%__install -Dm0644 %{S:1} %{buildroot}/%{_mandir}/man1/gargoyle.1

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc License.txt licenses/*
%{_bindir}/gargoyle
%{_libdir}/libgarglk.so
%{_libdir}/%{name}
%doc %{_mandir}/man1/gargoyle.1*

%changelog
* Fri Feb 26 2016 olaf@aepfle.de
- Update to 2011.1
* Mon Oct 24 2011 pascal.bleser@opensuse.org
- fix dependencies by giving up renaming libgarkgjrtzjirjizej.so to something
  sane (SONAME wise)
* Sun Oct 16 2011 pascal.bleser@opensuse.org
- moved to Packman due to its dependency on smpeg
- rewrote spec file
- added ugly hack to fit a proper SONAME into the library
* Sat Oct 15 2011 boris@steki.net
- initial package creation
